Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.query
Interface ModelQuerySet

All Known Implementing Classes:
  ModelQuerySetImpl

    public interface ModelQuerySet

A representation of the model object 'Model Query Set'. ModelQuerySet is the root of query model. One root per query model is expected.

The following features are supported:

- `Associated Metamodels`
- `Name`
- `Is Editable`
- `Description`
- `Queries`

See Also:
  `QueryPackage.getModelQuerySet()`

Method Summary
`` | `getAssociatedMetamodels()` Returns the value of the 'Associated Metamodels' reference list.
`java.lang.String` | `getDescription()` Returns the value of the 'Description' attribute.
`java.lang.String` | `getName()` Returns the value of the 'Name' attribute.
`` | `getQueries()` Returns the value of the 'Queries' containment reference list.
`ModelQuery` | `getQuery(java.lang.String name)` ModelQuerySet::getQuery(EString) returns the contained ModelQuery having the requested name.
`boolean` | `isIsEditable()` Returns the value of the 'Is Editable' attribute.
`void` | `setDescription(java.lang.String value)` Sets the value of the '`Description`' attribute.
`void` | `setIsEditable(boolean value)` Sets the value of the '`Is Editable`' attribute.
`void` | `setName(java.lang.String value)` Sets the value of the '`Name`' attribute.

Method Detail

### getAssociatedMetamodels

     getAssociatedMetamodels()

  Returns the value of the 'Associated Metamodels' reference list. The list contents are of type `org.eclipse.emf.ecore.EPackage`.

  If the meaning of the 'Associated Metamodels' reference list isn't clear, there really should be more of a description here...

  ModelQuerySet::associatedMetamodels points to the meta-models used by the contained queries.

  Returns:
    the value of the 'Associated Metamodels' reference list.
  See Also:
    `QueryPackage.getModelQuerySet_AssociatedMetamodels()`

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute.

  If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

  ModelQuerySet::name must be unique (in the Eclipse platform) and equal to the containing file name. We recommend to use a name prefix with a name space, for example: org.eclipse.gmt.modisco.example1.querySet1.

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `QueryPackage.getModelQuerySet_Name()`

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`

### isIsEditable

    boolean isIsEditable()

  Returns the value of the 'Is Editable' attribute.

  If the meaning of the 'Is Editable' attribute isn't clear, there really should be more of a description here...

  ModelQuerySet::isEditable is true if the query can be edited. If the query is stored into a compiled file ModelQuerySet::isEditable is false.

  Returns:
    the value of the 'Is Editable' attribute.
  See Also:
    `setIsEditable(boolean)`, `QueryPackage.getModelQuerySet_IsEditable()`

### setIsEditable

    void setIsEditable(boolean value)

  Sets the value of the '`Is Editable`' attribute.

  Parameters:
    `value` - the new value of the 'Is Editable' attribute.
  See Also:
    `isIsEditable()`

### getDescription

    java.lang.String getDescription()

  Returns the value of the 'Description' attribute.

  If the meaning of the 'Description' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Description' attribute.
  See Also:
    `setDescription(String)`, `QueryPackage.getModelQuerySet_Description()`

### setDescription

    void setDescription(java.lang.String value)

  Sets the value of the '`Description`' attribute.

  Parameters:
    `value` - the new value of the 'Description' attribute.
  See Also:
    `getDescription()`

### getQueries

     getQueries()

  Returns the value of the 'Queries' containment reference list. The list contents are of type `ModelQuery`. It is bidirectional and its opposite is '`Model Query Set`'.

  If the meaning of the 'Queries' containment reference list isn't clear, there really should be more of a description here...

  ModelQuerySet::queries refers to the contained queries.

  Returns:
    the value of the 'Queries' containment reference list.
  See Also:
    `QueryPackage.getModelQuerySet_Queries()`, `ModelQuery.getModelQuerySet()`

### getQuery

    ModelQuery getQuery(java.lang.String name)

  ModelQuerySet::getQuery(EString) returns the contained ModelQuery having the requested name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD